"""Add promote P to PE  workflows..

Revision ID: 88dd5a44150d
Revises: 41fd1ae225aq
Create Date: 2024-08-07 13:54:44.362435

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '88dd5a44150d'
down_revision = '41fd1ae225aq'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "promote_p_to_pe",
        "target": "MODIFY",
        "description": "Promote P router to PE router",
        "product_type": "Router"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
